TestCommandlineCore Struct Reference

`#include <core.test.h>`

## Public Member Functions

Test | isSwitch ()
Test | eraseAndAdvance ()

## Member Function Documentation

Test TestCommandlineCore::eraseAndAdvance | ( |  | ) |

inline

References assert, assert_eq, wibble::list::begin(), wibble::commandline::ArgList::eraseAndAdvance(), and wibble::iterator().

Test TestCommandlineCore::isSwitch | ( |  | ) |

inline

References assert_eq, and wibble::commandline::ArgList::isSwitch().

The documentation for this struct was generated from the following file:

- core.test.h